---
title: Neighborhoods in Scott's Mill
---
	<p class="intro">There are three additional neighborhoods within the greater Scotts Mill Community. Bungalow Park is the group of townhomes on the southwest side of Scotts Mill. One member of the Scotts Mill Homeowners' Association is required to be a resident of Bungalow Park. The Green neighborhood is located to the east of Scotts Mill and is bordered on its east by St. Mary Magdalene Catholic Church. Within The Green is another group of townhomes that comprise the New Heritage neighborhood. Each of these neighborhoods has their own Homeowners' Association. Information about their members is below.</p>

	
	<section>
		<h2>Bungalow Park</h2>
		<a href="mailto:bungalowpark@scottsmill.com">bungalowpark@scottsmill.com</a>
		
		<ul>
			<caption>HOA Members</caption>
			<li>Olivia Martin &ndash; President/Treasurer</li>
			<li>Linda Thistle &ndash; Vice President</li>
			<li>Carol Klein &ndash; Secretary</li>
			<li>Margaret Broughton &ndash; Treasurer</li>
			<li>Darren McKinnon &ndash; Member at Large</li>
		</ul>
	</section>

	
	<section>
		<h2>The Green</h2>
		<a href="mailto:thegreen@scottsmill.com">thegreen@scottsmill.com</a>
		
		<ul>
			<caption>HOA Members</caption>
			<li>Alan McKinney &ndash; President</li>
			<li>Allan Boyle &ndash; Vice President</li>
			<li>Ronald Madsen &ndash; Treasurer</li>
			<li>Leslie Allen &ndash; Member at Large</li>
		</ul>
	</section>

	
	<section>
		<h2>New Heritage</h2>
		<a href="mailto:newheritage@scottsmill.com">newheritage@scottsmill.com</a>
		
		<ul>
			<caption>HOA Members</caption>
			<li>Tom McKay &ndash; President</li>
			<li>Sue Mingolelli &ndash; Member</li>
			<li>Pauline LeGrande &ndash; Member</li>
		</ul>
	</section>